Python rembg 설치가 안됩니다.


  • Level 2

    pip install rembg 진행 시 아래 로그 발생합니다.
    이후 실행해도 rembg관련 오류가 발생합니다.

    설치로그
    root@goorm:/workspace/nooggiServer# pip install rembg
    Collecting rembg
    Using cached rembg-1.0.14.tar.gz (13 kB)
    Installing build dependencies ... done
    Getting requirements to build wheel ... done
    Preparing wheel metadata ... done
    Requirement already satisfied: flask==1.1.2 in /usr/local/lib/python3.7/site-packages (from rembg) (1.1.2)
    Collecting scipy==1.5.2
    Downloading scipy-1.5.2-cp37-cp37m-manylinux1_x86_64.whl (25.9 MB)
    |████████████████████████████████| 25.9 MB 2.2 kB/s
    Collecting torch==1.6.0
    Downloading torch-1.6.0-cp37-cp37m-manylinux1_x86_64.whl (748.8 MB)
    |████████████████████████████████| 748.8 MB 2.2 kB/s
    Requirement already satisfied: scikit-image==0.17.2 in /usr/local/lib/python3.7/site-packages (from rembg) (0.17.2)
    Collecting waitress==1.4.4
    Using cached waitress-1.4.4-py2.py3-none-any.whl (58 kB)
    Collecting torchvision==0.7.0
    Downloading torchvision-0.7.0-cp37-cp37m-manylinux1_x86_64.whl (5.9 MB)
    |████████████████████████████████| 5.9 MB 19.1 MB/s
    Collecting numpy==1.19.1
    Using cached numpy-1.19.1-cp37-cp37m-manylinux2010_x86_64.whl (14.5 MB)
    Requirement already satisfied: requests==2.24.0 in /usr/local/lib/python3.7/site-packages (from rembg) (2.24.0)
    Collecting pymatting==1.0.6
    Downloading PyMatting-1.0.6-py3-none-any.whl (40 kB)
    |████████████████████████████████| 40 kB 2.5 MB/s
    Collecting pillow==7.2.0
    Using cached Pillow-7.2.0-cp37-cp37m-manylinux1_x86_64.whl (2.2 MB)
    Collecting tqdm==4.48.2
    Downloading tqdm-4.48.2-py2.py3-none-any.whl (68 kB)
    |████████████████████████████████| 68 kB 3.4 MB/s
    Requirement already satisfied: itsdangerous>=0.24 in /usr/local/lib/python3.7/site-packages (from flask==1.1.2->rembg) (1.1.0)
    Requirement already satisfied: Werkzeug>=0.15 in /usr/local/lib/python3.7/site-packages (from flask==1.1.2->rembg) (1.0.1)
    Requirement already satisfied: click>=5.1 in /usr/local/lib/python3.7/site-packages (from flask==1.1.2->rembg) (7.1.2)
    Requirement already satisfied: Jinja2>=2.10.1 in /usr/local/lib/python3.7/site-packages (from flask==1.1.2->rembg) (2.11.2)
    Collecting future
    Downloading future-0.18.2.tar.gz (829 kB)
    |████████████████████████████████| 829 kB 36.6 MB/s
    Requirement already satisfied: networkx>=2.0 in /usr/local/lib/python3.7/site-packages (from scikit-image==0.17.2->rembg) (2.5)
    Requirement already satisfied: matplotlib!=3.0.0,>=2.0.0 in /usr/local/lib/python3.7/site-packages (from scikit-image==0.17.2->rembg) (3.3.2)
    Requirement already satisfied: imageio>=2.3.0 in /usr/local/lib/python3.7/site-packages (from scikit-image==0.17.2->rembg) (2.9.0)
    Requirement already satisfied: tifffile>=2019.7.26 in /usr/local/lib/python3.7/site-packages (from scikit-image==0.17.2->rembg) (2020.10.1)
    Requirement already satisfied: PyWavelets>=1.1.1 in /usr/local/lib/python3.7/site-packages (from scikit-image==0.17.2->rembg) (1.1.1)
    Requirement already satisfied: idna<3,>=2.5 in /usr/local/lib/python3.7/site-packages (from requests==2.24.0->rembg) (2.10)
    Requirement already satisfied: urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 in /usr/local/lib/python3.7/site-packages (from requests==2.24.0->rembg) (1.25.11)
    Requirement already satisfied: chardet<4,>=3.0.2 in /usr/local/lib/python3.7/site-packages (from requests==2.24.0->rembg) (3.0.4)
    Requirement already satisfied: certifi>=2017.4.17 in /usr/local/lib/python3.7/site-packages (from requests==2.24.0->rembg) (2020.6.20)
    Requirement already satisfied: numba>=0.47.0 in /usr/local/lib/python3.7/site-packages (from pymatting==1.0.6->rembg) (0.51.2)
    Requirement already satisfied: MarkupSafe>=0.23 in /usr/local/lib/python3.7/site-packages (from Jinja2>=2.10.1->flask==1.1.2->rembg) (1.1.1)
    Requirement already satisfied: decorator>=4.3.0 in /usr/local/lib/python3.7/site-packages (from networkx>=2.0->scikit-image==0.17.2->rembg) (4.4.2)
    Requirement already satisfied: kiwisolver>=1.0.1 in /usr/local/lib/python3.7/site-packages (from matplotlib!=3.0.0,>=2.0.0->scikit-image==0.17.2->rembg) (1.3.1)
    Requirement already satisfied: pyparsing!=2.0.4,!=2.1.2,!=2.1.6,>=2.0.3 in /usr/local/lib/python3.7/site-packages (from matplotlib!=3.0.0,>=2.0.0->scikit-image==0.17.2->rembg) (2.4.7)
    Requirement already satisfied: cycler>=0.10 in /usr/local/lib/python3.7/site-packages (from matplotlib!=3.0.0,>=2.0.0->scikit-image==0.17.2->rembg) (0.10.0)
    Requirement already satisfied: python-dateutil>=2.1 in /usr/local/lib/python3.7/site-packages (from matplotlib!=3.0.0,>=2.0.0->scikit-image==0.17.2->rembg) (2.8.1)
    Requirement already satisfied: setuptools in /usr/local/lib/python3.7/site-packages (from numba>=0.47.0->pymatting==1.0.6->rembg) (50.3.2)
    Requirement already satisfied: llvmlite<0.35,>=0.34.0.dev0 in /usr/local/lib/python3.7/site-packages (from numba>=0.47.0->pymatting==1.0.6->rembg) (0.34.0)
    Requirement already satisfied: six in /usr/local/lib/python3.7/site-packages (from cycler>=0.10->matplotlib!=3.0.0,>=2.0.0->scikit-image==0.17.2->rembg) (1.15.0)
    Building wheels for collected packages: rembg, future
    Building wheel for rembg (PEP 517) ... done
    Created wheel for rembg: filename=rembg-1.0.14-py3-none-any.whl size=12392 sha256=91bd3bb28221b730d905627538d9dcfcd1bdae9b7c552f9cdc5f115432296082
    Stored in directory: /root/.cache/pip/wheels/a7/2c/55/866186a0a9541a8879151d1d0ca8f2b8e4182fda0fda2bf8bc
    Building wheel for future (setup.py) ... done
    Created wheel for future: filename=future-0.18.2-py3-none-any.whl size=491059 sha256=713de8974b424fd2dfe2a5feb2fe357a99c8f44a8356e74de57caba16c8c9367
    Stored in directory: /root/.cache/pip/wheels/56/b0/fe/4410d17b32f1f0c3cf54cdfb2bc04d7b4b8f4ae377e2229ba0
    Successfully built rembg future
    Installing collected packages: numpy, scipy, future, torch, waitress, pillow, torchvision, pymatting, tqdm, rembg
    Attempting uninstall: numpy
    Found existing installation: numpy 1.19.4
    Uninstalling numpy-1.19.4:
    Successfully uninstalled numpy-1.19.4
    Attempting uninstall: scipy
    Found existing installation: scipy 1.5.3
    Uninstalling scipy-1.5.3:
    Successfully uninstalled scipy-1.5.3
    Attempting uninstall: torch
    Found existing installation: torch 1.8.0+cpu
    Uninstalling torch-1.8.0+cpu:
    Successfully uninstalled torch-1.8.0+cpu
    Attempting uninstall: pillow
    Found existing installation: Pillow 8.0.1
    Uninstalling Pillow-8.0.1:
    Successfully uninstalled Pillow-8.0.1
    Attempting uninstall: torchvision
    Found existing installation: torchvision 0.9.0+cpu
    Uninstalling torchvision-0.9.0+cpu:
    Successfully uninstalled torchvision-0.9.0+cpu
    Attempting uninstall: tqdm
    Found existing installation: tqdm 4.51.0
    Uninstalling tqdm-4.51.0:
    Successfully uninstalled tqdm-4.51.0
    ERROR: After October 2020 you may experience errors when installing or updating packages. This is because pip will change the way that it resolves dependency conflicts.

    We recommend you use --use-feature=2020-resolver to test your packages with the new resolver before it becomes the default.

    torchaudio 0.8.0 requires torch==1.8.0, but you'll have torch 1.6.0 which is incompatible.
    tensorflow 2.3.1 requires h5py<2.11.0,>=2.10.0, but you'll have h5py 3.0.0 which is incompatible.
    tensorflow 2.3.1 requires numpy<1.19.0,>=1.16.0, but you'll have numpy 1.19.1 which is incompatible.

    실행시 결과
    root@goorm:/workspace/nooggiServer# cd "/workspace/nooggiServer";
    root@goorm:/workspace/nooggiServer# cd "/workspace/nooggiServer" && python "app.py"
    Traceback (most recent call last):
    File "app.py", line 2, in <module>
    from rembg.bg import remove
    File "/usr/local/lib/python3.7/site-packages/rembg/bg.py", line 67, in <module>
    @functools.lru_cache
    File "/usr/local/lib/python3.7/functools.py", line 490, in lru_cache
    raise TypeError('Expected maxsize to be an integer or None')
    TypeError: Expected maxsize to be an integer or None

SUGGESTED TOPICS

  • 2
  • 1
  • 2
  • 2
  • 10
  • 4
  • 2
  • 5